View Issue Details

IDProjectCategoryView StatusLast Update
0007086Anastasisanastasis-webuipublic2022-01-24 21:34
ReporterChristian Grothoff Assigned Tosebasjm  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.2.0 
Target Version0.3.0Fixed in VersionGit master 
Summary0007086: AHV number with/without dots
DescriptionThe AHV number is accepted with and without dots, but during recovery the same syntax is again required.
We should normalize to only with dots.
Users suggested we should also auto-complete the dots *DURING ENTRY* so that users do not have to enter them.
TagsNo tags attached.

Activities

Christian Grothoff

2021-12-28 12:48

manager   ~0018598

Fixed in c7ece85..987f3f2 (for anastasis-gtk). Note that 93913bd..1b40f01 adds autocompletion data to the resource file for the CH AHV and US social security numbers. Assigning to sebasjm to fix this in the TypeScript version.

Main approach: match template, "?"==no match, other characters = to be auto-inserted. No auto-deletion, too confusing.

sebasjm

2022-01-24 21:34

developer   ~0018662

fixed in webui

Issue History

Date Modified Username Field Change
2021-11-10 21:27 Christian Grothoff New Issue
2021-12-28 12:48 Christian Grothoff Assigned To => sebasjm
2021-12-28 12:48 Christian Grothoff Status new => resolved
2021-12-28 12:48 Christian Grothoff Fixed in Version => 0.3.0
2021-12-28 12:48 Christian Grothoff Note Added: 0018598
2021-12-28 12:48 Christian Grothoff Status resolved => assigned
2021-12-28 12:48 Christian Grothoff Category General => anastasis-webui
2021-12-28 12:48 Christian Grothoff Product Version => 0.2.0
2021-12-28 12:48 Christian Grothoff Fixed in Version 0.3.0 => Git master
2021-12-28 12:48 Christian Grothoff Target Version => 0.3.0
2022-01-24 21:34 sebasjm Status assigned => resolved
2022-01-24 21:34 sebasjm Resolution open => fixed
2022-01-24 21:34 sebasjm Note Added: 0018662